%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary: MATE Panel applet indicator
Name:    mate-indicator-applet
Version: 1.6.0
Release: %mkrel 2
License: LGPLv2+ and GPLv3
Group:   Graphical desktop/MATE
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# This patch fixes 'AM_CONFIG_HEADER' macro is deprecated error
# and Mageia's indicator devel files not found error.
Patch0: mate-indicator-applet-1.6.0-mga-fix-configure_ac-script.patch

BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(indicator3-0.4) >= 0.3.22
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: mate-settings-daemon-devel
BuildRequires: pkgconfig(libmatepanelapplet-4.0)

Requires:      mate-panel

%description
A small applet to display information from various applications consistently
in the panel. The indicator applet exposes Ayatana Indicators in the MATE
Panel. Ayatana Indicators are an initiative by Canonical to provide crisp and
clean system and application status indication. They take the form of an icon
and associated menu, displayed (usually) in the desktop panel. Existing
indicators include the Message Menu, Battery Menu and Sound menu.

%prep
%setup -q
%apply_patches

%build
mate-autogen
%configure2_5x \
    --disable-static

%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog COPYING
%{_libexecdir}/indicator-applet*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/mate-panel/applets/*.mate-panel-applet
%{_iconsdir}/hicolor/*/*/*



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531164
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 462409
- fix autogen
- add mkrel

  + tarakbumba <tarakbumba>
    - imported package mate-indicator-applet

